Get metric config
curl --request GET \
--url https://api.logfleet.io/api/v1/metric-configs/{configId} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"version": 123,
"enabled": true,
"scope": {
"locations": [
"<string>"
],
"tags": [
"<string>"
]
},
"metrics": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"namespace": "<string>",
"description": "<string>",
"enabled": true,
"source_field": "<string>",
"filter": {
"field": "<string>",
"value": "<string>",
"conditions": "<array>"
},
"tags": [
{
"name": "<string>",
"value": "<string>"
}
],
"counter_opts": {
"increment_by": "<string>"
},
"gauge_opts": {
"value_field": "<string>"
},
"histogram_opts": {
"value_field": "<string>",
"buckets": [
123
]
},
"cardinality": {
"max_tag_cardinality": 1000,
"on_limit_exceeded": "drop"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Metric Configs
Get Metric Config
Returns a metric config by ID
GET
/
api
/
v1
/
metric-configs
/
{configId}
Get metric config
curl --request GET \
--url https://api.logfleet.io/api/v1/metric-configs/{configId} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"version": 123,
"enabled": true,
"scope": {
"locations": [
"<string>"
],
"tags": [
"<string>"
]
},
"metrics": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"namespace": "<string>",
"description": "<string>",
"enabled": true,
"source_field": "<string>",
"filter": {
"field": "<string>",
"value": "<string>",
"conditions": "<array>"
},
"tags": [
{
"name": "<string>",
"value": "<string>"
}
],
"counter_opts": {
"increment_by": "<string>"
},
"gauge_opts": {
"value_field": "<string>"
},
"histogram_opts": {
"value_field": "<string>",
"buckets": [
123
]
},
"cardinality": {
"max_tag_cardinality": 1000,
"on_limit_exceeded": "drop"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
JWT token obtained from /auth/login
Path Parameters
Metric config ID
⌘I